function Q = NE_D2H(P)
% NE_D2H - convert PD point to PH
% On input:
%     P (1x2 vector): PD point
% On output:
%     Q (1x2 vector): PH point
% Call:
%     q = NE_D2H([0,1]);
% Author:
%     T. Henderson
%     UU
%     Summer 2023
%

Q = zeros(1,2);
x = P(1);
y = P(2);
Q(1) = 2*x/(x^2+(1-y)^2);
Q(2) = (1-x^2-y^2)/(x^2+(1-y)^2);
