function Q = NE_H2D(P)
% NE_H2D - convert PH point to PD
% On input:
%     P (1x2 vector): PH point
% On output:
%     Q (1x2 vector): PD point
% Call:
%     q = NE_H2D([0,1]);
% Author:
%     T. Henderson
%     UU
%     Summer 2023
%

Q = zeros(1,2);
x = P(1);
y = P(2);
Q(1) = 2*x/(x^2+(1+y)^2);
Q(2) = (x^2+y^2-1)/(x^2+(1+y)^2);
