function c = NE_cross_ratio(z1,z2,z3,z4)
% NE_cross_ratio - compute the cross ratio of 4 complex numbers
% On input:
%     z1 (complex): complex number
%     z2 (complex): complex number
%     z3 (complex): complex number
%     z4 (complex): complex number
% On output:
%     c (complex): cross ratio of z1,z2,z3,z4 (real if pts on geodesic)
% Call:
%     c = NE_cross_ratio(-sqrt(2),-1+i,1+i,sqrt(2));
%       == (sqrt(2)+1)/(sqrt(2)-1)  see p. 183 (Stahl)
%       == 5.8284   % Note ln is not applied since we want the cross ratio
%                     not the distance between z2 and z3
% Author:
%     T. Henderson
%     UU
%     Summer 2023
%

c = ((z1-z3)/(z1-z2))/((z4-z3)/(z4-z2));
