function d = NE_dist_PH_pt_pt(pt1,pt2)
% NE_dist_PH_pt_pt - distance btween two PH points
%     pt1 (1x2 vector): x,y values of point 1
%     pt2 (1x2 vector): x,y values of point 2
% On output:
%     d (float): distance between points
% Call:
%     d = NE_dist_PH_pt_pt([0,0.9],[0.5,0.5]);
% Author:
%     T. Henderson
%     UU
%     Summer 2023
%

d = 2*asinh(norm(pt2-pt1)/(2*sqrt(pt1(2)*pt2(2))));
% another formula:
% d = 2*atanh(norm(p2-p1)/norm(p2-[p1(1),-p1(2)]);
