function T = NE_equi45
% NE_equi45 - create equilateral 45-degree triangle
%       p. 107 Stahl: find length of side of equilateral triangle with
%                    pi/4 angle:
%       from p. 105:
%                   cos(beta)cos(gamma) + cos(alpha)
%         cosh(a) = ----------------------------------
%                         sin(beta)sin(gamma)
%         cosh(a) = (1/2 + sqrt(2)/2)/(1/2) = 1 + sqrt(2)
%              a  = acosh(") = 1.528
%       Point selection:
%          Point 1: origin: [0,0]
%          Point 2: point along x axis at distance 1.528: [0.64343,0]
%          Point 3: point along 45-degree line through origin that is 
%                   at distance 1.528: [0.455,0.455]
% On input:
%     N/A
% On output:
%     T (3x2 array): vertexes of triangle
% Call:
%     T = NE_equi45;
% Author:
%     T. Henderson
%     UU
%     Summer 2023
%

T = zeros(3,2);
T(1,:) = [0,0];
T(2,:) = [0.64343,0];
T(3,:) = [0.455,0.455];
