function A = NE_test_PD_circle
% NE_test_PD_circle - look at circles interior to PD
%   the definition of a circle in PD is the set of points that
%   are at a constant distance from a given center.
% On input:
%     N/A
% On output:
%     N/A   - just put break points and examine data
% Call:
%     NE_test_PD_circle
% Author:
%     T. Henderson
%     UU
%     Summer 2023
%

x = [-1:0.001:1];
y = x;
N = length(x);
A = zeros(N,N);
sols = [];

ZERO_THRESH = 0.01;

C = [sqrt(2)/2-eps,sqrt(2)/2-eps];

for r = 1:N
    for c = 1:N
        if norm([x(r),y(c)])<1
            A(r,c) = NE_dist_PD_pt_pt(C,[x(r),y(c)]);
            if A(r,c)>0&A(r,c)<35
                sols = [sols;x(r),y(c)];
            end
        end
    end
end

t = [0:0.1:2*pi,2*pi];
x = cos(t);
y = sin(t);
plot(x,y,'k');
axis equal
hold on
plot(sols(:,1),sols(:,2),'r.');
plot(C(1),C(2),'ko');

tch = 0;
